21.DevOps: How to install Maven 3.3.9 on Ubuntu [Linux] ?

Apache-Maven Logo.png

Through this blog, I would like to demonstrate  on “How to install Maven 3.3.9 on Ubuntu [Linux] ?:

 Pre-requisites: You need to have Ubuntu OS on your system or Ubuntu on your VM.

Refer to the below url for latest Maven version to know on different OS Platforms:

https://maven.apache.org/download.cgi

Please note; Maven 3.3+ require JDK 1.7 or above.

If you have not installed JDK on your Ubuntu refer to my previous blog, which can guide you:

15. DevOps: How to setup jenkins 2.9 on Ubuntu-16.04 with jdk8

URL: https://vskumar.blog/2018/02/26/15-devops-how-to-setup-jenkins-2-9-on-ubuntu-16-04-with-jdk8/

 

There are two options for you to install maven:

A) You can download the .tar file[apache-maven-3.5.3-src.tar.gz] into your ubuntu local folder and unzip and install it.

B) You can use sudo apt-get install maven  command to install directly.

 

Please note; I have already JDK 8 version in my Ubuntu VM.

 ==== Checking JDK version ===>

vskumar@ubuntu:~$ java -version

java version “1.8.0_161”

Java(TM) SE Runtime Environment (build 1.8.0_161-b12)

Java HotSpot(TM) 64-Bit Server VM (build 25.161-b12, mixed mode)

vskumar@ubuntu:~$

=========================>

 

I have opted Option: B),

For Ubuntu Use the below command:

sudo apt-get install maven

 

You can see the screen output, when I used it in my Ubuntu VM:

 

== Maven installation output ===>

 vskumar@ubuntu:~$ sudo apt-get install maven

[sudo] password for vskumar:

Reading package lists… Done

Building dependency tree       

Reading state information… Done

The following additional packages will be installed:

  ant ant-optional junit junit4 libaopalliance-java libapache-pom-java

  libasm4-java libatinject-jsr330-api-java libbsh-java libcdi-api-java

  libcglib3-java libclassworlds-java libcommons-cli-java libcommons-codec-java

  libcommons-httpclient-java libcommons-io-java libcommons-lang-java

  libcommons-lang3-java libcommons-logging-java libcommons-net-java

  libcommons-net2-java libcommons-parent-java libdom4j-java libdoxia-core-java

  libeasymock-java libeclipse-aether-java

  libgeronimo-interceptor-3.0-spec-java libguava-java libguice-java

  libhamcrest-java libhttpclient-java libhttpcore-java libjaxen-java

  libjaxp1.3-java libjdom1-java libjetty-java libjsch-java libjsoup-java

  libjsr305-java liblog4j1.2-java libmaven-parent-java libmaven2-core-java

  libmaven3-core-java libobjenesis-java libplexus-ant-factory-java

  libplexus-archiver-java libplexus-bsh-factory-java libplexus-cipher-java

  libplexus-classworlds-java libplexus-classworlds2-java libplexus-cli-java

  libplexus-component-annotations-java libplexus-component-metadata-java

  libplexus-container-default-java libplexus-container-default1.5-java

  libplexus-containers-java libplexus-containers1.5-java

  libplexus-interactivity-api-java libplexus-interpolation-java

  libplexus-io-java libplexus-sec-dispatcher-java libplexus-utils-java

  libplexus-utils2-java libqdox2-java libservlet2.5-java libservlet3.1-java

  libsisu-inject-java libsisu-plexus-java libslf4j-java libwagon-java

  libwagon2-java libxalan2-java libxbean-java libxerces2-java

  libxml-commons-external-java libxml-commons-resolver1.1-java libxom-java

  libxpp2-java libxpp3-java

Suggested packages:

  ant-doc ant-gcj default-jdk | java-compiler | java-sdk ant-optional-gcj

  antlr javacc jython libbcel-java libbsf-java libgnumail-java libjdepend-java

  liboro-java libregexp-java junit-doc libaopalliance-java-doc

  libatinject-jsr330-api-java-doc libclassworlds-java-doc

  libcommons-httpclient-java-doc libcommons-io-java-doc

  libcommons-lang-java-doc libcommons-lang3-java-doc libavalon-framework-java

  libcommons-logging-java-doc libexcalibur-logkit-java libcommons-net-java-doc

  libcommons-net2-java-doc libdom4j-java-doc libeasymock-java-doc

  libcglib-java libjaxp1.3-java-gcj libjdom1-java-doc jetty libjetty-java-doc

  libjsoup-java-doc libjsr305-java-doc liblog4j1.2-java-doc

  libobjenesis-java-doc libplexus-cipher-java-doc

  libplexus-classworlds-java-doc libplexus-classworlds2-java-doc

  libplexus-cli-java-doc libplexus-container-default-java-doc

  libplexus-interactivity-api-java-doc libplexus-interpolation-java-doc

  libplexus-sec-dispatcher-java-doc libplexus-utils-java-doc

  libplexus-utils2-java-doc libqdox2-java-doc testng libwagon-java-doc

  libxalan2-java-doc libxsltc-java groovy2 libequinox-osgi-java

  libosgi-compendium-java libosgi-core-java libqdox-java libspring-beans-java

  libspring-context-java libspring-core-java libspring-web-java

  libxerces2-java-doc libxerces2-java-gcj libxml-commons-resolver1.1-java-doc

  libxom-java-doc

The following NEW packages will be installed:

  ant ant-optional junit junit4 libaopalliance-java libapache-pom-java

  libasm4-java libatinject-jsr330-api-java libbsh-java libcdi-api-java

  libcglib3-java libclassworlds-java libcommons-cli-java libcommons-codec-java

  libcommons-httpclient-java libcommons-io-java libcommons-lang-java

  libcommons-lang3-java libcommons-logging-java libcommons-net-java

  libcommons-net2-java libcommons-parent-java libdom4j-java libdoxia-core-java

  libeasymock-java libeclipse-aether-java

  libgeronimo-interceptor-3.0-spec-java libguava-java libguice-java

  libhamcrest-java libhttpclient-java libhttpcore-java libjaxen-java

  libjaxp1.3-java libjdom1-java libjetty-java libjsch-java libjsoup-java

  libjsr305-java liblog4j1.2-java libmaven-parent-java libmaven2-core-java

  libmaven3-core-java libobjenesis-java libplexus-ant-factory-java

  libplexus-archiver-java libplexus-bsh-factory-java libplexus-cipher-java

  libplexus-classworlds-java libplexus-classworlds2-java libplexus-cli-java

  libplexus-component-annotations-java libplexus-component-metadata-java

  libplexus-container-default-java libplexus-container-default1.5-java

  libplexus-containers-java libplexus-containers1.5-java

  libplexus-interactivity-api-java libplexus-interpolation-java

  libplexus-io-java libplexus-sec-dispatcher-java libplexus-utils-java

  libplexus-utils2-java libqdox2-java libservlet2.5-java libservlet3.1-java

  libsisu-inject-java libsisu-plexus-java libslf4j-java libwagon-java

  libwagon2-java libxalan2-java libxbean-java libxerces2-java

  libxml-commons-external-java libxml-commons-resolver1.1-java libxom-java

  libxpp2-java libxpp3-java maven

0 upgraded, 80 newly installed, 0 to remove and 4 not upgraded.

Need to get 28.0 MB of archives.

After this operation, 39.7 MB of additional disk space will be used.

Do you want to continue? [Y/n] y

Get:1 http://archive.ubuntu.com/ubuntu xenial/universe amd64 ant all 1.9.6-1ubuntu1 [1,892 kB]

Get:2 http://archive.ubuntu.com/ubuntu xenial/universe amd64 ant-optional all 1.9.6-1ubuntu1 [313 kB]

Get:3 http://archive.ubuntu.com/ubuntu xenial/universe amd64 junit all 3.8.2-8build1 [106 kB]

Get:4 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libhamcrest-java all 1.3-5ubuntu1 [373 kB]

Get:5 http://archive.ubuntu.com/ubuntu xenial/universe amd64 junit4 all 4.12-4ubuntu1 [279 kB]

Get:6 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libapache-pom-java all 10-2build1 [4,022 B]

Get:7 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libasm4-java all 5.0.4-1 [252 kB]

Get:8 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libatinject-jsr330-api-java all 1.0+ds1-2 [22.7 kB]

Get:9 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libbsh-java all 2.0b4-17ubuntu1 [264 kB]

Get:10 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libgeronimo-interceptor-3.0-spec-java all 1.0.1-3fakesync1 [7,284 B]

Get:11 http://archive.ubuntu.com/ubuntu xenial/main amd64 libservlet3.1-java all 8.0.32-1ubuntu1 [389 kB]

Get:12 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcdi-api-java all 1.0-2 [31.9 kB]

Get:13 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcglib3-java all 3.1+dfsg-1 [726 kB]

Get:14 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libclassworlds-java all 1.1-final-5 [39.3 kB]

Get:15 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-cli-java all 1.3.1-3ubuntu1 [53.3 kB]

Get:16 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-codec-java all 1.10-1 [232 kB]

Get:17 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-parent-java all 39-3 [9,380 B]

Get:18 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-logging-java all 1.2-1+build1 [59.5 kB]

Get:19 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-httpclient-java all 3.1-12 [279 kB]

Get:20 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-io-java all 2.4-2 [176 kB]

Get:21 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-lang-java all 2.6-6ubuntu2 [267 kB]

Get:22 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-lang3-java all 3.4-1 [380 kB]

Get:23 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-net-java all 3.4-2ubuntu2 [334 kB]

Get:24 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-net2-java all 2.2-2 [194 kB]

Get:25 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjaxen-java all 1.1.6-1ubuntu1 [206 kB]

Get:26 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libxpp2-java all 2.1.10-7build1 [162 kB]

Get:27 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libxpp3-java all 1.1.4c-2build1 [364 kB]

Get:28 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdom4j-java all 1.6.1+dfsg.3-2ubuntu1 [323 kB]

Get:29 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libhttpcore-java all 4.4.4-1 [573 kB]

Get:30 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libhttpclient-java all 4.5.1-1 [694 kB]

Get:31 http://archive.ubuntu.com/ubuntu xenial/main amd64 libjaxp1.3-java all 1.3.05-2ubuntu3 [450 kB]

Get:32 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxml-commons-resolver1.1-java all 1.2-7build1 [91.6 kB]

Get:33 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxml-commons-external-java all 1.4.01-2build1 [245 kB]

Get:34 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxerces2-java all 2.11.0-7 [1,362 kB]

Get:35 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxalan2-java all 2.7.1-9 [3,166 kB]

Get:36 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-interpolation-java all 1.21-1 [61.3 kB]

Get:37 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-utils-java all 1:1.5.15-4 [210 kB]

Get:38 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdoxia-core-java all 1.1.4-3ubuntu1 [148 kB]

Get:39 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libobjenesis-java all 2.2-1 [44.3 kB]

Get:40 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libeasymock-java all 3.3.1+ds-3 [88.3 kB]

Get:41 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libslf4j-java all 1.7.14-3 [124 kB]

Get:42 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjsch-java all 0.1.53-1ubuntu1 [267 kB]

Get:43 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjsoup-java all 1.8.3-1 [298 kB]

Get:44 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjsr305-java all 0.1~+svn49-9 [26.4 kB]

Get:45 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libguava-java all 19.0-1 [2,028 kB]

Get:46 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-classworlds-java all 1.5.0-5 [49.2 kB]

Get:47 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libxbean-java all 4.5-1 [815 kB]

Get:48 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-containers-java all 1.0~beta3.0.7-8 [178 kB]

Get:49 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-interactivity-api-java all 1.0-alpha-6-7 [14.2 kB]

Get:50 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libwagon-java all 1.0.0-7 [133 kB]

Get:51 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libeclipse-aether-java all 1.0.2-1 [564 kB]

Get:52 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libaopalliance-java all 20070526-5 [9,214 B]

Get:53 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libguice-java all 4.0-2 [836 kB]

Get:54 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjdom1-java all 1.1.3-1 [150 kB]

Get:55 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libservlet2.5-java all 6.0.45+dfsg-1 [212 kB]

Get:56 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libjetty-java all 6.1.26-5 [721 kB]

Get:57 http://archive.ubuntu.com/ubuntu xenial/universe amd64 liblog4j1.2-java all 1.2.17-7ubuntu1 [426 kB]

Get:58 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libmaven-parent-java all 21-2 [5,786 B]

Get:59 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-container-default-java all 1.0-alpha-9-stable-1-7 [153 kB]

Get:60 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-ant-factory-java all 1.0~alpha2.1-3 [11.2 kB]

Get:61 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-io-java all 1.0~alpha5-2 [44.7 kB]

Get:62 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-archiver-java all 2.2-1 [171 kB]

Get:63 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-bsh-factory-java all 1.0~alpha7-3.1 [7,708 B]

Get:64 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-cipher-java all 1.7-1 [14.5 kB]

Get:65 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-sec-dispatcher-java all 1.3.1-6 [27.1 kB]

Get:66 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libmaven2-core-java all 2.2.1-24 [710 kB]

Get:67 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-classworlds2-java all 2.5.2-1 [46.7 kB]

Get:68 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-utils2-java all 3.0.22-1 [235 kB]

Get:69 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-container-default1.5-java all 1.6-2 [186 kB]

Get:70 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-component-annotations-java all 1.6-2 [6,662 B]

Get:71 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-cli-java all 1.2-5 [9,700 B]

Get:72 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libqdox2-java all 2.0~M3-2 [257 kB]

Get:73 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-component-metadata-java all 1.6-2 [103 kB]

Get:74 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libplexus-containers1.5-java all 1.6-2 [2,410 B]

Get:75 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libsisu-inject-java all 0.3.2-1 [347 kB]

Get:76 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libsisu-plexus-java all 0.3.2-1 [182 kB]

Get:77 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libwagon2-java all 2.10-3 [2,144 kB]

Get:78 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libmaven3-core-java all 3.3.9-3 [1,446 kB]

Get:79 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libxom-java all 1.2.10-1 [170 kB]

Get:80 http://archive.ubuntu.com/ubuntu xenial/universe amd64 maven all 3.3.9-3 [17.4 kB]

Fetched 28.0 MB in 1min 36s (291 kB/s)                                         

Extracting templates from packages: 100%

Selecting previously unselected package ant.

(Reading database … 234271 files and directories currently installed.)

Preparing to unpack …/ant_1.9.6-1ubuntu1_all.deb …

Unpacking ant (1.9.6-1ubuntu1) …

Selecting previously unselected package ant-optional.

Preparing to unpack …/ant-optional_1.9.6-1ubuntu1_all.deb …

Unpacking ant-optional (1.9.6-1ubuntu1) …

Selecting previously unselected package junit.

Preparing to unpack …/junit_3.8.2-8build1_all.deb …

Unpacking junit (3.8.2-8build1) …

Selecting previously unselected package libhamcrest-java.

Preparing to unpack …/libhamcrest-java_1.3-5ubuntu1_all.deb …

Unpacking libhamcrest-java (1.3-5ubuntu1) …

Selecting previously unselected package junit4.

Preparing to unpack …/junit4_4.12-4ubuntu1_all.deb …

Unpacking junit4 (4.12-4ubuntu1) …

Selecting previously unselected package libapache-pom-java.

Preparing to unpack …/libapache-pom-java_10-2build1_all.deb …

Unpacking libapache-pom-java (10-2build1) …

Selecting previously unselected package libasm4-java.

Preparing to unpack …/libasm4-java_5.0.4-1_all.deb …

Unpacking libasm4-java (5.0.4-1) …

Selecting previously unselected package libatinject-jsr330-api-java.

Preparing to unpack …/libatinject-jsr330-api-java_1.0+ds1-2_all.deb …

Unpacking libatinject-jsr330-api-java (1.0+ds1-2) …

Selecting previously unselected package libbsh-java.

Preparing to unpack …/libbsh-java_2.0b4-17ubuntu1_all.deb …

Unpacking libbsh-java (2.0b4-17ubuntu1) …

Selecting previously unselected package libgeronimo-interceptor-3.0-spec-java.

Preparing to unpack …/libgeronimo-interceptor-3.0-spec-java_1.0.1-3fakesync1_all.deb …

Unpacking libgeronimo-interceptor-3.0-spec-java (1.0.1-3fakesync1) …

Selecting previously unselected package libservlet3.1-java.

Preparing to unpack …/libservlet3.1-java_8.0.32-1ubuntu1_all.deb …

Unpacking libservlet3.1-java (8.0.32-1ubuntu1) …

Selecting previously unselected package libcdi-api-java.

Preparing to unpack …/libcdi-api-java_1.0-2_all.deb …

Unpacking libcdi-api-java (1.0-2) …

Selecting previously unselected package libcglib3-java.

Preparing to unpack …/libcglib3-java_3.1+dfsg-1_all.deb …

Unpacking libcglib3-java (3.1+dfsg-1) …

Selecting previously unselected package libclassworlds-java.

Preparing to unpack …/libclassworlds-java_1.1-final-5_all.deb …

Unpacking libclassworlds-java (1.1-final-5) …

Selecting previously unselected package libcommons-cli-java.

Preparing to unpack …/libcommons-cli-java_1.3.1-3ubuntu1_all.deb …

Unpacking libcommons-cli-java (1.3.1-3ubuntu1) …

Selecting previously unselected package libcommons-codec-java.

Preparing to unpack …/libcommons-codec-java_1.10-1_all.deb …

Unpacking libcommons-codec-java (1.10-1) …

Selecting previously unselected package libcommons-parent-java.

Preparing to unpack …/libcommons-parent-java_39-3_all.deb …

Unpacking libcommons-parent-java (39-3) …

Selecting previously unselected package libcommons-logging-java.

Preparing to unpack …/libcommons-logging-java_1.2-1+build1_all.deb …

Unpacking libcommons-logging-java (1.2-1+build1) …

Selecting previously unselected package libcommons-httpclient-java.

Preparing to unpack …/libcommons-httpclient-java_3.1-12_all.deb …

Unpacking libcommons-httpclient-java (3.1-12) …

Selecting previously unselected package libcommons-io-java.

Preparing to unpack …/libcommons-io-java_2.4-2_all.deb …

Unpacking libcommons-io-java (2.4-2) …

Selecting previously unselected package libcommons-lang-java.

Preparing to unpack …/libcommons-lang-java_2.6-6ubuntu2_all.deb …

Unpacking libcommons-lang-java (2.6-6ubuntu2) …

Selecting previously unselected package libcommons-lang3-java.

Preparing to unpack …/libcommons-lang3-java_3.4-1_all.deb …

Unpacking libcommons-lang3-java (3.4-1) …

Selecting previously unselected package libcommons-net-java.

Preparing to unpack …/libcommons-net-java_3.4-2ubuntu2_all.deb …

Unpacking libcommons-net-java (3.4-2ubuntu2) …

Selecting previously unselected package libcommons-net2-java.

Preparing to unpack …/libcommons-net2-java_2.2-2_all.deb …

Unpacking libcommons-net2-java (2.2-2) …

Selecting previously unselected package libjaxen-java.

Preparing to unpack …/libjaxen-java_1.1.6-1ubuntu1_all.deb …

Unpacking libjaxen-java (1.1.6-1ubuntu1) …

Selecting previously unselected package libxpp2-java.

Preparing to unpack …/libxpp2-java_2.1.10-7build1_all.deb …

Unpacking libxpp2-java (2.1.10-7build1) …

Selecting previously unselected package libxpp3-java.

Preparing to unpack …/libxpp3-java_1.1.4c-2build1_all.deb …

Unpacking libxpp3-java (1.1.4c-2build1) …

Selecting previously unselected package libdom4j-java.

Preparing to unpack …/libdom4j-java_1.6.1+dfsg.3-2ubuntu1_all.deb …

Unpacking libdom4j-java (1.6.1+dfsg.3-2ubuntu1) …

Selecting previously unselected package libhttpcore-java.

Preparing to unpack …/libhttpcore-java_4.4.4-1_all.deb …

Unpacking libhttpcore-java (4.4.4-1) …

Selecting previously unselected package libhttpclient-java.

Preparing to unpack …/libhttpclient-java_4.5.1-1_all.deb …

Unpacking libhttpclient-java (4.5.1-1) …

Selecting previously unselected package libjaxp1.3-java.

Preparing to unpack …/libjaxp1.3-java_1.3.05-2ubuntu3_all.deb …

Unpacking libjaxp1.3-java (1.3.05-2ubuntu3) …

Selecting previously unselected package libxml-commons-resolver1.1-java.

Preparing to unpack …/libxml-commons-resolver1.1-java_1.2-7build1_all.deb …

Unpacking libxml-commons-resolver1.1-java (1.2-7build1) …

Selecting previously unselected package libxml-commons-external-java.

Preparing to unpack …/libxml-commons-external-java_1.4.01-2build1_all.deb …

Unpacking libxml-commons-external-java (1.4.01-2build1) …

Selecting previously unselected package libxerces2-java.

Preparing to unpack …/libxerces2-java_2.11.0-7_all.deb …

Unpacking libxerces2-java (2.11.0-7) …

Selecting previously unselected package libxalan2-java.

Preparing to unpack …/libxalan2-java_2.7.1-9_all.deb …

Unpacking libxalan2-java (2.7.1-9) …

Selecting previously unselected package libplexus-interpolation-java.

Preparing to unpack …/libplexus-interpolation-java_1.21-1_all.deb …

Unpacking libplexus-interpolation-java (1.21-1) …

Selecting previously unselected package libplexus-utils-java.

Preparing to unpack …/libplexus-utils-java_1%3a1.5.15-4_all.deb …

Unpacking libplexus-utils-java (1:1.5.15-4) …

Selecting previously unselected package libdoxia-core-java.

Preparing to unpack …/libdoxia-core-java_1.1.4-3ubuntu1_all.deb …

Unpacking libdoxia-core-java (1.1.4-3ubuntu1) …

Selecting previously unselected package libobjenesis-java.

Preparing to unpack …/libobjenesis-java_2.2-1_all.deb …

Unpacking libobjenesis-java (2.2-1) …

Selecting previously unselected package libeasymock-java.

Preparing to unpack …/libeasymock-java_3.3.1+ds-3_all.deb …

Unpacking libeasymock-java (3.3.1+ds-3) …

Selecting previously unselected package libslf4j-java.

Preparing to unpack …/libslf4j-java_1.7.14-3_all.deb …

Unpacking libslf4j-java (1.7.14-3) …

Selecting previously unselected package libjsch-java.

Preparing to unpack …/libjsch-java_0.1.53-1ubuntu1_all.deb …

Unpacking libjsch-java (0.1.53-1ubuntu1) …

Selecting previously unselected package libjsoup-java.

Preparing to unpack …/libjsoup-java_1.8.3-1_all.deb …

Unpacking libjsoup-java (1.8.3-1) …

Selecting previously unselected package libjsr305-java.

Preparing to unpack …/libjsr305-java_0.1~+svn49-9_all.deb …

Unpacking libjsr305-java (0.1~+svn49-9) …

Selecting previously unselected package libguava-java.

Preparing to unpack …/libguava-java_19.0-1_all.deb …

Unpacking libguava-java (19.0-1) …

Selecting previously unselected package libplexus-classworlds-java.

Preparing to unpack …/libplexus-classworlds-java_1.5.0-5_all.deb …

Unpacking libplexus-classworlds-java (1.5.0-5) …

Selecting previously unselected package libxbean-java.

Preparing to unpack …/libxbean-java_4.5-1_all.deb …

Unpacking libxbean-java (4.5-1) …

Selecting previously unselected package libplexus-containers-java.

Preparing to unpack …/libplexus-containers-java_1.0~beta3.0.7-8_all.deb …

Unpacking libplexus-containers-java (1.0~beta3.0.7-8) …

Selecting previously unselected package libplexus-interactivity-api-java.

Preparing to unpack …/libplexus-interactivity-api-java_1.0-alpha-6-7_all.deb …

Unpacking libplexus-interactivity-api-java (1.0-alpha-6-7) …

Selecting previously unselected package libwagon-java.

Preparing to unpack …/libwagon-java_1.0.0-7_all.deb …

Unpacking libwagon-java (1.0.0-7) …

Selecting previously unselected package libeclipse-aether-java.

Preparing to unpack …/libeclipse-aether-java_1.0.2-1_all.deb …

Unpacking libeclipse-aether-java (1.0.2-1) …

Selecting previously unselected package libaopalliance-java.

Preparing to unpack …/libaopalliance-java_20070526-5_all.deb …

Unpacking libaopalliance-java (20070526-5) …

Selecting previously unselected package libguice-java.

Preparing to unpack …/libguice-java_4.0-2_all.deb …

Unpacking libguice-java (4.0-2) …

Selecting previously unselected package libjdom1-java.

Preparing to unpack …/libjdom1-java_1.1.3-1_all.deb …

Unpacking libjdom1-java (1.1.3-1) …

Selecting previously unselected package libservlet2.5-java.

Preparing to unpack …/libservlet2.5-java_6.0.45+dfsg-1_all.deb …

Unpacking libservlet2.5-java (6.0.45+dfsg-1) …

Selecting previously unselected package libjetty-java.

Preparing to unpack …/libjetty-java_6.1.26-5_all.deb …

Unpacking libjetty-java (6.1.26-5) …

Selecting previously unselected package liblog4j1.2-java.

Preparing to unpack …/liblog4j1.2-java_1.2.17-7ubuntu1_all.deb …

Unpacking liblog4j1.2-java (1.2.17-7ubuntu1) …

Selecting previously unselected package libmaven-parent-java.

Preparing to unpack …/libmaven-parent-java_21-2_all.deb …

Unpacking libmaven-parent-java (21-2) …

Selecting previously unselected package libplexus-container-default-java.

Preparing to unpack …/libplexus-container-default-java_1.0-alpha-9-stable-1-7_all.deb …

Unpacking libplexus-container-default-java (1.0-alpha-9-stable-1-7) …

Selecting previously unselected package libplexus-ant-factory-java.

Preparing to unpack …/libplexus-ant-factory-java_1.0~alpha2.1-3_all.deb …

Unpacking libplexus-ant-factory-java (1.0~alpha2.1-3) …

Selecting previously unselected package libplexus-io-java.

Preparing to unpack …/libplexus-io-java_1.0~alpha5-2_all.deb …

Unpacking libplexus-io-java (1.0~alpha5-2) …

Selecting previously unselected package libplexus-archiver-java.

Preparing to unpack …/libplexus-archiver-java_2.2-1_all.deb …

Unpacking libplexus-archiver-java (2.2-1) …

Selecting previously unselected package libplexus-bsh-factory-java.

Preparing to unpack …/libplexus-bsh-factory-java_1.0~alpha7-3.1_all.deb …

Unpacking libplexus-bsh-factory-java (1.0~alpha7-3.1) …

Selecting previously unselected package libplexus-cipher-java.

Preparing to unpack …/libplexus-cipher-java_1.7-1_all.deb …

Unpacking libplexus-cipher-java (1.7-1) …

Selecting previously unselected package libplexus-sec-dispatcher-java.

Preparing to unpack …/libplexus-sec-dispatcher-java_1.3.1-6_all.deb …

Unpacking libplexus-sec-dispatcher-java (1.3.1-6) …

Selecting previously unselected package libmaven2-core-java.

Preparing to unpack …/libmaven2-core-java_2.2.1-24_all.deb …

Unpacking libmaven2-core-java (2.2.1-24) …

Selecting previously unselected package libplexus-classworlds2-java.

Preparing to unpack …/libplexus-classworlds2-java_2.5.2-1_all.deb …

Unpacking libplexus-classworlds2-java (2.5.2-1) …

Selecting previously unselected package libplexus-utils2-java.

Preparing to unpack …/libplexus-utils2-java_3.0.22-1_all.deb …

Unpacking libplexus-utils2-java (3.0.22-1) …

Selecting previously unselected package libplexus-container-default1.5-java.

Preparing to unpack …/libplexus-container-default1.5-java_1.6-2_all.deb …

Unpacking libplexus-container-default1.5-java (1.6-2) …

Selecting previously unselected package libplexus-component-annotations-java.

Preparing to unpack …/libplexus-component-annotations-java_1.6-2_all.deb …

Unpacking libplexus-component-annotations-java (1.6-2) …

Selecting previously unselected package libplexus-cli-java.

Preparing to unpack …/libplexus-cli-java_1.2-5_all.deb …

Unpacking libplexus-cli-java (1.2-5) …

Selecting previously unselected package libqdox2-java.

Preparing to unpack …/libqdox2-java_2.0~M3-2_all.deb …

Unpacking libqdox2-java (2.0~M3-2) …

Selecting previously unselected package libplexus-component-metadata-java.

Preparing to unpack …/libplexus-component-metadata-java_1.6-2_all.deb …

Unpacking libplexus-component-metadata-java (1.6-2) …

Selecting previously unselected package libplexus-containers1.5-java.

Preparing to unpack …/libplexus-containers1.5-java_1.6-2_all.deb …

Unpacking libplexus-containers1.5-java (1.6-2) …

Selecting previously unselected package libsisu-inject-java.

Preparing to unpack …/libsisu-inject-java_0.3.2-1_all.deb …

Unpacking libsisu-inject-java (0.3.2-1) …

Selecting previously unselected package libsisu-plexus-java.

Preparing to unpack …/libsisu-plexus-java_0.3.2-1_all.deb …

Unpacking libsisu-plexus-java (0.3.2-1) …

Selecting previously unselected package libwagon2-java.

Preparing to unpack …/libwagon2-java_2.10-3_all.deb …

Unpacking libwagon2-java (2.10-3) …

Selecting previously unselected package libmaven3-core-java.

Preparing to unpack …/libmaven3-core-java_3.3.9-3_all.deb …

Unpacking libmaven3-core-java (3.3.9-3) …

Selecting previously unselected package libxom-java.

Preparing to unpack …/libxom-java_1.2.10-1_all.deb …

Unpacking libxom-java (1.2.10-1) …

Selecting previously unselected package maven.

Preparing to unpack …/archives/maven_3.3.9-3_all.deb …

Unpacking maven (3.3.9-3) …

Processing triggers for man-db (2.7.5-1) …

Processing triggers for doc-base (0.10.7) …

Processing 2 added doc-base files…

Setting up ant (1.9.6-1ubuntu1) …

Setting up ant-optional (1.9.6-1ubuntu1) …

Setting up junit (3.8.2-8build1) …

Setting up libhamcrest-java (1.3-5ubuntu1) …

Setting up junit4 (4.12-4ubuntu1) …

Setting up libapache-pom-java (10-2build1) …

Setting up libasm4-java (5.0.4-1) …

Setting up libatinject-jsr330-api-java (1.0+ds1-2) …

Setting up libbsh-java (2.0b4-17ubuntu1) …

Setting up libgeronimo-interceptor-3.0-spec-java (1.0.1-3fakesync1) …

Setting up libservlet3.1-java (8.0.32-1ubuntu1) …

Setting up libcdi-api-java (1.0-2) …

Setting up libcglib3-java (3.1+dfsg-1) …

Setting up libclassworlds-java (1.1-final-5) …

Setting up libcommons-cli-java (1.3.1-3ubuntu1) …

Setting up libcommons-codec-java (1.10-1) …

Setting up libcommons-parent-java (39-3) …

Setting up libcommons-logging-java (1.2-1+build1) …

Setting up libcommons-httpclient-java (3.1-12) …

Setting up libcommons-io-java (2.4-2) …

Setting up libcommons-lang-java (2.6-6ubuntu2) …

Setting up libcommons-lang3-java (3.4-1) …

Setting up libcommons-net-java (3.4-2ubuntu2) …

Setting up libcommons-net2-java (2.2-2) …

Setting up libjaxen-java (1.1.6-1ubuntu1) …

Setting up libxpp2-java (2.1.10-7build1) …

Setting up libxpp3-java (1.1.4c-2build1) …

Setting up libdom4j-java (1.6.1+dfsg.3-2ubuntu1) …

Setting up libhttpcore-java (4.4.4-1) …

Setting up libhttpclient-java (4.5.1-1) …

Setting up libjaxp1.3-java (1.3.05-2ubuntu3) …

Setting up libxml-commons-resolver1.1-java (1.2-7build1) …

Setting up libxml-commons-external-java (1.4.01-2build1) …

Setting up libxerces2-java (2.11.0-7) …

Setting up libxalan2-java (2.7.1-9) …

Setting up libplexus-interpolation-java (1.21-1) …

Setting up libplexus-utils-java (1:1.5.15-4) …

Setting up libdoxia-core-java (1.1.4-3ubuntu1) …

Setting up libobjenesis-java (2.2-1) …

Setting up libeasymock-java (3.3.1+ds-3) …

Setting up libslf4j-java (1.7.14-3) …

Setting up libjsch-java (0.1.53-1ubuntu1) …

Setting up libjsoup-java (1.8.3-1) …

Setting up libjsr305-java (0.1~+svn49-9) …

Setting up libguava-java (19.0-1) …

Setting up libplexus-classworlds-java (1.5.0-5) …

Setting up libxbean-java (4.5-1) …

Setting up libplexus-containers-java (1.0~beta3.0.7-8) …

Setting up libplexus-interactivity-api-java (1.0-alpha-6-7) …

Setting up libwagon-java (1.0.0-7) …

Setting up libeclipse-aether-java (1.0.2-1) …

Setting up libaopalliance-java (20070526-5) …

Setting up libguice-java (4.0-2) …

Setting up libjdom1-java (1.1.3-1) …

Setting up libservlet2.5-java (6.0.45+dfsg-1) …

Setting up libjetty-java (6.1.26-5) …

Setting up liblog4j1.2-java (1.2.17-7ubuntu1) …

Setting up libmaven-parent-java (21-2) …

Setting up libplexus-container-default-java (1.0-alpha-9-stable-1-7) …

Setting up libplexus-ant-factory-java (1.0~alpha2.1-3) …

Setting up libplexus-io-java (1.0~alpha5-2) …

Setting up libplexus-archiver-java (2.2-1) …

Setting up libplexus-bsh-factory-java (1.0~alpha7-3.1) …

Setting up libplexus-cipher-java (1.7-1) …

Setting up libplexus-sec-dispatcher-java (1.3.1-6) …

Setting up libmaven2-core-java (2.2.1-24) …

Setting up libplexus-classworlds2-java (2.5.2-1) …

Setting up libplexus-utils2-java (3.0.22-1) …

Setting up libplexus-container-default1.5-java (1.6-2) …

Setting up libplexus-component-annotations-java (1.6-2) …

Setting up libplexus-cli-java (1.2-5) …

Setting up libqdox2-java (2.0~M3-2) …

Setting up libplexus-component-metadata-java (1.6-2) …

Setting up libplexus-containers1.5-java (1.6-2) …

Setting up libsisu-inject-java (0.3.2-1) …

Setting up libsisu-plexus-java (0.3.2-1) …

Setting up libwagon2-java (2.10-3) …

Setting up libmaven3-core-java (3.3.9-3) …

Setting up libxom-java (1.2.10-1) …

Setting up maven (3.3.9-3) …

update-alternatives: using /usr/share/maven/bin/mvn to provide /usr/bin/mvn (mvn) in auto mode

vskumar@ubuntu:~$

==============

You can see maven version also:

== Checking Maven Version===>

vskumar@ubuntu:~$ mvn –version

Apache Maven 3.3.9

Maven home: /usr/share/maven

Java version: 1.8.0_161, vendor: Oracle Corporation

Java home: /usr/local/java/jdk1.8.0_161/jre

Default locale: en_US, platform encoding: UTF-8

OS name: “linux”, version: “4.10.0-40-generic”, arch: “amd64”, family: “unix”

vskumar@ubuntu:~$

============>

 

 

 

 

 

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

w

Connecting to %s